This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1032964 - [abrt] libreoffice-core-3.6.7.2-4.fc18: SdrPage::ActionChanged: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV) i have tried to make pivot table
[abrt] libreoffice-core-3.6.7.2-4.fc18: SdrPage::ActionChanged: Process /usr/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Eike Rathke
https://retrace.fedoraproject.org/faf...
abrt_hash:d93a904dbf9d3a506f58143fb72...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 05:16 EST by webdesigner
Modified: 2014-01-09 06:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the calc document was not saved. i tried to make a pivot table. than i made undo action and pressed make pivot table button again. this is all i have done before application exception Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 06:57:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.39 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: cgroup (127 bytes, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: core_backtrace (22.62 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: dso_list (20.64 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: environ (1.97 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: maps (94.96 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: open_fds (1.30 KB, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-11-21 05:17 EST, webdesigner
no flags Details
File: var_log_messages (355 bytes, text/plain)
2013-11-21 05:18 EST, webdesigner
no flags Details

  None (edit)
Description webdesigner 2013-11-21 05:16:58 EST
Version-Release number of selected component:
libreoffice-core-3.6.7.2-4.fc18

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=6
crash_function: SdrPage::ActionChanged
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.7-100.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SdrPage::ActionChanged at /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdpage.cxx:1872
 #1 SdrModel::RecalcPageNums at /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdmodel.cxx:1423
 #2 SdrPage::GetPageNum at /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdpage.cxx:1675
 #3 SdrUndoPageList::SdrUndoPageList at /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdundo.cxx:1472
 #4 SdrUndoNewPage at /usr/src/debug/libreoffice-3.6.7.2/solver/unxlngx6.pro/inc/svx/svdundo.hxx:704
 #5 ScDrawLayer::ScAddPage at /usr/src/debug/libreoffice-3.6.7.2/sc/source/core/data/drwlayer.cxx:391
 #6 ScTable::ScTable at /usr/src/debug/libreoffice-3.6.7.2/sc/source/core/data/table1.cxx:317
 #7 ScDocument::InsertTab at /usr/src/debug/libreoffice-3.6.7.2/sc/source/core/data/document.cxx:428
 #8 ScDocFunc::InsertTable at /usr/src/debug/libreoffice-3.6.7.2/sc/source/ui/docshell/docfunc.cxx:2735
 #9 ScViewFunc::InsertTable at /usr/src/debug/libreoffice-3.6.7.2/sc/source/ui/view/viewfun2.cxx:1955
Comment 1 webdesigner 2013-11-21 05:17:11 EST
Created attachment 827107 [details]
File: backtrace
Comment 2 webdesigner 2013-11-21 05:17:15 EST
Created attachment 827108 [details]
File: cgroup
Comment 3 webdesigner 2013-11-21 05:17:21 EST
Created attachment 827109 [details]
File: core_backtrace
Comment 4 webdesigner 2013-11-21 05:17:25 EST
Created attachment 827110 [details]
File: dso_list
Comment 5 webdesigner 2013-11-21 05:17:30 EST
Created attachment 827111 [details]
File: environ
Comment 6 webdesigner 2013-11-21 05:17:35 EST
Created attachment 827112 [details]
File: exploitable
Comment 7 webdesigner 2013-11-21 05:17:39 EST
Created attachment 827113 [details]
File: limits
Comment 8 webdesigner 2013-11-21 05:17:43 EST
Created attachment 827114 [details]
File: maps
Comment 9 webdesigner 2013-11-21 05:17:50 EST
Created attachment 827115 [details]
File: open_fds
Comment 10 webdesigner 2013-11-21 05:17:58 EST
Created attachment 827116 [details]
File: proc_pid_status
Comment 11 webdesigner 2013-11-21 05:18:02 EST
Created attachment 827117 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-11-21 10:13:30 EST
Is there any information as to how to reproduce this ? Looks like inserting a new tab into a spreadsheet or something of that nature.

caolanm->erack: this is on an old release. Do this ring any bells?
Comment 13 webdesigner 2013-11-22 02:31:56 EST
(In reply to webdesigner from comment #0)
> Version-Release number of selected component:
> libreoffice-core-3.6.7.2-4.fc18
> 
> Additional info:
> reporter:       libreport-2.1.9
> backtrace_rating: 4
> cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc
> --splash-pipe=6
> crash_function: SdrPage::ActionChanged
> executable:     /usr/lib64/libreoffice/program/soffice.bin
> kernel:         3.11.7-100.fc18.x86_64
> runlevel:       N 5
> type:           CCpp
> uid:            1000
> 
> Truncated backtrace:
> Thread no. 1 (10 frames)
>  #0 SdrPage::ActionChanged at
> /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdpage.cxx:1872
>  #1 SdrModel::RecalcPageNums at
> /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdmodel.cxx:1423
>  #2 SdrPage::GetPageNum at
> /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdpage.cxx:1675
>  #3 SdrUndoPageList::SdrUndoPageList at
> /usr/src/debug/libreoffice-3.6.7.2/svx/source/svdraw/svdundo.cxx:1472
>  #4 SdrUndoNewPage at
> /usr/src/debug/libreoffice-3.6.7.2/solver/unxlngx6.pro/inc/svx/svdundo.hxx:
> 704
>  #5 ScDrawLayer::ScAddPage at
> /usr/src/debug/libreoffice-3.6.7.2/sc/source/core/data/drwlayer.cxx:391
>  #6 ScTable::ScTable at
> /usr/src/debug/libreoffice-3.6.7.2/sc/source/core/data/table1.cxx:317
>  #7 ScDocument::InsertTab at
> /usr/src/debug/libreoffice-3.6.7.2/sc/source/core/data/document.cxx:428
>  #8 ScDocFunc::InsertTable at
> /usr/src/debug/libreoffice-3.6.7.2/sc/source/ui/docshell/docfunc.cxx:2735
>  #9 ScViewFunc::InsertTable at
> /usr/src/debug/libreoffice-3.6.7.2/sc/source/ui/view/viewfun2.cxx:1955

the calc document was not saved. i tried to make a pivot table. than i made undo action and pressed make pivot table button again. this is all i have done before application exception
Comment 14 webdesigner 2013-11-22 02:34:27 EST
(In reply to Caolan McNamara from comment #12)
> Is there any information as to how to reproduce this ? Looks like inserting
> a new tab into a spreadsheet or something of that nature.
> 
> caolanm->erack: this is on an old release. Do this ring any bells?

the calc document was not saved. i tried to make a pivot table. than i made undo action and pressed make pivot table button again. this is all i have done before application exception
Comment 15 Fedora End Of Life 2013-12-21 09:46:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 David Tardon 2014-01-09 06:57:20 EST
can't reproduce...

Note You need to log in before you can comment on or make changes to this bug.